Bug 289 - preexec doesn't allow multiple %m, %I ...
preexec doesn't allow multiple %m, %I ...
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
Other All
: P1 major
: 3.0.0rc2
Assigned To: Gerald (Jerry) Carter
:
Depends on: 250
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-12 08:34 UTC by Björn Jacke
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2003-08-12 08:34:37 UTC
when you put something like

preexec = echo "%m %I and once more: %m %I" >>/tmp/sambafoo

into smb.conf, Samba will end up in an CPU time eating smbd
process. The double variables seem to be the problem.
Comment 1 Gerald (Jerry) Carter 2003-08-12 20:41:57 UTC
sounds similar to bug 250
Comment 2 Gerald (Jerry) Carter 2003-08-12 23:53:15 UTC
Can you see if smbd is stuck in a mremap() loop?
I think there should also be a panic message in the log file.
Comment 3 Björn Jacke 2003-08-13 02:05:13 UTC
yes:

mremap(0x4081a000, 499712, 499712, MREMAP_MAYMOVE) = 0x4081a000
mremap(0x4081a000, 499712, 499712, MREMAP_MAYMOVE) = 0x4081a000
and so on ...
Comment 4 Björn Jacke 2003-08-13 02:07:40 UTC
... and by the way - there is _no_ panic in the logs.
Comment 5 Gerald (Jerry) Carter 2003-08-25 13:17:16 UTC
This is a bug in alloca_sub_basic() I think.  Working on a fix.
Comment 6 Gerald (Jerry) Carter 2003-08-25 13:42:30 UTC
actually was a problem in realloc_string_sub().  
Fixed in SAMBA_3_0 cvs tree.  (see source/lib/util_str.c)
Comment 7 Gerald (Jerry) Carter 2005-02-07 08:41:28 UTC
originally reported against 3.0.0beta3.  CLeaning out 
non-production release versions.
Comment 8 Gerald (Jerry) Carter 2005-08-24 10:17:36 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.